Summary:	GNOME screen ruler
Name:		gruler
Version:	0.8
Release:	3%{?dist}
License:	GPLv2+
Group:		Applications/Engineering
URL:		http://gnomecoder.wordpress.com/screenruler/
Source0:	http://info.openanswers.org/downloads/gruler-latest.tar.gz
Source1:	gruler.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
Requires:	ruby
Requires:	ruby-libglade2 > 0.16.0-24
Requires:	ruby-gconf2

BuildArch:	noarch

%description
gruler is a small GNOME based utility that allows you to measure objects on 
your desktop. It can be used to take both horizontal and vertical measurement
in 6 different metrics: pixels, centimeters, inches, picas, points, and as a
percentage of the ruler’s length.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}

cat << EOF > gruler
#!/bin/bash

cd %{_datadir}/%{name}
ruby ./gruler.rb
EOF
chmod 0755 gruler

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p gruler %{buildroot}%{_bindir}/
cp -p gruler-icon.png %{buildroot}%{_datadir}/pixmaps/
cp -pr utils *.rb gruler*.* %{buildroot}%{_datadir}/%{name}/

desktop-file-install --vendor="fedora"				\
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications		\
	%{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/gruler
%{_datadir}/%{name}/
%{_datadir}/pixmaps/gruler-icon.png
%{_datadir}/applications/*.desktop

%changelog
* Mon Jan 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.8-3
- Package review update (Bugzilla #430455)

* Mon Jan 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.8-2
- Explicitly require ruby
- Also require versions of ruby-libglade2 which have been fixed of bug 428781

* Mon Jan 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.8-1
- Initial package
